- Dev Center
- Documentation
- REST API
- API reference
- GET /healthz
REST API
GET /healthz
Liveness probe
GET
/healthz Always mTLS-gated like every other route (apps/api/deploy/README.md): Kubernetes probes this process over plain TCP instead, never HTTP.
Responses #
-
200 Successful Response
-
401 No client certificate reached this route (`client_certificate_required`).
-
errorobject requiredThe body of every non-2xx response: what went wrong, for a program and for a person.
-
-
403 The client certificate's CN is not in `DIAGNOS_API_ALLOWED_CLIENT_CN` (`client_certificate_cn_not_allowed`).
-
errorobject requiredThe body of every non-2xx response: what went wrong, for a program and for a person.
-
curl --cert client.crt --key client.key \
-X GET "https://api.imgexam.com/healthz" \
-H "Content-Type: application/json"import httpx
response = httpx.get(
"https://api.imgexam.com/healthz",
cert=("client.crt", "client.key"),
)
response.raise_for_status()
print(response.json()){}{
"error": {
"code": "string",
"message": "string",
"trace_id": {}
}
}{
"error": {
"code": "string",
"message": "string",
"trace_id": {}
}
}